package com.nisum.myteam.status.service;

import java.time.LocalDate;
import java.util.List;

import com.nisum.myteam.status.model.Status;

public interface StatusService {
  public Status saveStatusDetails(Status status);
  public List<Status> findTodayStatus(String empId);
  public List<Status> findTaskDataByTaskDate(String empId, LocalDate date);
  public List<Status> getStatusDetailsByEmpId(String empId);
  public List<Status> getByDateRange(LocalDate fromDate, LocalDate toDate, String empId);
  public List<Status> getEmployeeStatusDetails();
  public Status updateStatusDetails(Status status);
  public void deleteEmployeeStatusDetails(Integer id);
  public List<Status> getDefaultStatusDetails(String empId);
}
